アーカイブ

Ruby postgres driverのインストール。 このエントリーを含むはてなブックマーク はてなブックマーク - Ruby postgres driverのインストール。

2006 年 5 月 6 日 Comments off
# gem install postgres

Could not find PostgreSQL libraries: Makefile not created

と言われてしまう件について。
メッセージどおりなのだが、どこで指定してやればよいのか分からなかったのでメモ。

postgres-0.7.1/extconf.rb

27 incdir = ENV["POSTGRES_INCLUDE"] 33 libdir = ENV["POSTGRES_LIB"]

ここで環境変数を見ているので、これらを事前にセットしておけばよし。

カテゴリー: Ruby タグ: